Complete File Upload - SuperAI Flows

Complete File Upload

cURL

curl --request POST \
  --url https://flows.super.ai/api/integrations/database/{db_id}/upload/complete \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "upload_id": "<string>",
  "delimiter": ",",
  "has_header": true,
  "table_name": "<string>"
}
'```

### Python

import requests

url = "https://flows.super.ai/api/integrations/database/{db_id}/upload/complete"

payload = { "upload_id": "", "delimiter": ",", "has_header": True, "table_name": "" } headers = { "X-API-Key": "", "Authorization": "Bearer ", "Content-Type": "application/json" }

response = requests.post(url, json=payload, headers=headers)

print(response.text)


### JavaScript

const options = { method: 'POST', headers: { 'X-API-Key': '', Authorization: 'Bearer ', 'Content-Type': 'application/json' }, body: JSON.stringify({ upload_id: '', delimiter: ',', has_header: true, table_name: '' }) };

fetch('https://flows.super.ai/api/integrations/database/{db_id}/upload/complete', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));


### PHP
"https://flows.super.ai/api/integrations/database/{db_id}/upload/complete", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "POST", CURLOPT_POSTFIELDS => json_encode([ 'upload_id' => '', 'delimiter' => ',', 'has_header' => true, 'table_name' => '' ]), CURLOPT_HTTPHEADER => [ "Authorization: Bearer ", "Content-Type: application/json", "X-API-Key: " ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } ?>

### Go

package main

import ( "fmt" "strings" "net/http" "io" )

func main() {

url := "https://flows.super.ai/api/integrations/database/{db_id}/upload/complete"

payload := strings.NewReader("{\n "upload_id": "",\n "delimiter": ",",\n "has_header": true,\n "table_name": ""\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("X-API-Key", "") req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close() body, _ := io.ReadAll(res.Body)

fmt.Println(string(body)) }


### Unirest (Java)

HttpResponse response = Unirest.post("https://flows.super.ai/api/integrations/database/{db_id}/upload/complete") .header("X-API-Key", "") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n "upload_id": "",\n "delimiter": ",",\n "has_header": true,\n "table_name": ""}\n") .asString();


### Ruby

require 'uri' require 'net/http'

url = URI("https://flows.super.ai/api/integrations/database/{db_id}/upload/complete")

http = Net::HTTP.new(url.host, url.port) http.use_ssl = true

request = Net::HTTP::Post.new(url) request["X-API-Key"] = '' request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n "upload_id": "",\n "delimiter": ",",\n "has_header": true,\n "table_name": ""}\n"

response = http.request(request) puts response.read_body


### Error Response

{ "detail": [ { "loc": [ "" ], "msg": "", "type": "" } ] }


### Authorizations

- **X-API-Key**: API key authentication. Include your API key in the `X-API-Key` header as: `X-API-Key YOUR_API_KEY`

Example:

X-API-Key: saf_1234567890


- **Authorization**: JWT Bearer token authentication. Include your access token in the `Authorization` header as: `Bearer YOUR_ACCESS_TOKEN`

Example:

Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...


### Path Parameters

- **db_id**: required, string

### Body

- **upload_id**: required, string
- **delimiter**: string, default: `,`
- **has_header**: boolean, default: `true`
- **table_name**: string | null (optional)

### Response

- **200**: Successful Response